Get task agreement
curl --request GET \
--url https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/agreement \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/agreement"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"task_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"bucket": "<string>",
"days": 123,
"human_human": {
"current": 123,
"pair_count": 123,
"series": [
{}
]
},
"evaluators": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Annotation tasks
Get task agreement
Get human-vs-human and human-vs-evaluator agreement metrics for a task
GET
/
annotation-tasks
/
{task_uuid}
/
agreement
Get task agreement
curl --request GET \
--url https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/agreement \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/agreement"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"task_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"bucket": "<string>",
"days": 123,
"human_human": {
"current": 123,
"pair_count": 123,
"series": [
{}
]
},
"evaluators": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
Annotation task to act on
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Query Parameters
How to bucket points in the trend series
Available options:
week, month, year Trailing window in days for the trend series
Required range:
1 <= x <= 3650Response
Successful Response
ID of the task
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Time bucket used for the trend series
Length of the trailing window in days
Agreement between annotators who labelled the same items
Show child attributes
Show child attributes
Agreement between each evaluator and the annotators, plus that evaluator's own results and the human results, one entry per linked evaluator